GIT-QFOLD(1)

NAME
git-qfold - merge additional patches into the current patch

SYNOPSIS
git qfold [-e] [-m <text>] [-F <file>] [ -k] <patch> ...

DESCRIPTION
The git qfold command merges the content of a series of unapplied patches, specified by the list of <patch> ... arguments, into the topmost applied patch. All patches to be merged (i.e. folded) must be registered in the series file, and unapplied; any guards, which are applicable, will be overridden.

After folding, the folded patches will be removed from the series, and the associated patch files will be deleted; the -k (or --keep) option may be specified, to prevent deletion of the patch files.

OPTIONS

-e, --edit
    Open an editor, to facilitate modification of the commit message for the cumulative patch, (which has been specified by use of --file, or --message options, or by concatenation of folded patch header messages), before completing the amended commit whence the cumulative patch is derived; (effectively, this option is simply passed on to the git commit command which amends this commit).

-F <name>, --file=<name>
-l <name>, --logfile=<name>
    Read the text, to be used as the replacement commit message, from the file specified by <name>; if <name> is specified as ‘-’, read the commit message text from standard input. By convention, git expects the -F (or --file) variant of this option; the -l (or --logfile) alias is accepted for compatibility with hg qfold usage.

-m <text>, --message=<text>
    Use <text> for the commit message. If more than one instance of this option is specified, each individual <text> block is appended to the commit message, as a separate paragraph. This feature cannot be used in conjunction with the -F (or --file) option.

-k, --keep
    Do not delete the patch files, which were associated with the folded patches, after folding; (this will leave the patch files without corresponding series file entries, as may be seen by invoking git qseries --missing).

If no replacement commit message is specified, by use of the --file, or --message options, a default message will be constructed by concatenating any non-empty messages which are recorded in the folded patch headers with that from the current topmost patch, if also non-empty, separating each from its last non-empty predecessor by a line of the form “* * *”.

EXIT STATUS
On successful completion, git qfold reports an exit status code of 0. Any non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qfold command exhibits fundamentally the same behaviour as its hg qfold counterpart.

AUTHOR
Copyright (C) 2019, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qseries(1)